/* ***** BEGIN LICENSE BLOCK *****
Version: MPL 1.1/LGPL 2.1/GPL 2.0

The contents of this file are subject to the Mozilla Public License Version 
1.1 (the "License"); you may not use this file except in compliance with
...
for the specific language governing rights and limitations under the
License.

The Original Code is for Luminous Forts.

The Initial Developer of the Original Code is Hekar Khani.
Portions created by the Hekar Khani are Copyright (C) 2010
Hekar Khani. All Rights Reserved.

Contributor(s):
  Hekar Khani <hekark@gmail.com>

Alternatively, the contents of this file may be used under the terms of
either of the GNU General Public License Version 2 or later (the "GPL"),
...
the terms of any one of the MPL, the GPL or the LGPL.

***** END LICENSE BLOCK ***** */

#include "cbase.h"
#include <vgui_controls/Panel.h>
#include "MGUI_Button.h"


MButton::MButton( vgui::Panel *Parent, const char *Name ) :
	BaseClass( Parent, Name, L"Button" )
{
	m_command = NULL;
}

MButton::~MButton()
{
}

void MButton::DoClick()
{
	BaseClass::DoClick();
	if ( m_command )
	{
		CCommand comm;
		m_command->Dispatch(comm );
	}
}

void MButton::ApplySchemeSettings( vgui::IScheme *pScheme )
{
	BaseClass::ApplySchemeSettings( pScheme );
}

void MButton::ApplySettings( KeyValues *inResourceData )
{
	BaseClass::ApplySettings( inResourceData );

	const char *command = inResourceData->GetString( "concommand", NULL );
	if ( !command )
	{
		Error( "No Concommand set for Button! %s\n", GetName() );
		SetEnabled( false );
		return;
	}

	m_command = cvar->FindCommand( command );

	if ( !m_command )
	{
		Error( "Concommand not found for Button! %s\n", GetName() );
		SetEnabled( false );
		return;
	}
}